=== debian/changelog ===
pyml (20190626-2build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:33:48 +0000

pyml (20190626-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 06 Jan 2020 16:30:13 +0100

pyml (20190626-1) unstable; urgency=medium

  * Initial release (Closes: #886713)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2019 08:34:19 +0100
