=== debian/control ===
Source: pyml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-findlib,
 libstdcompat-ocaml-dev,
 dh-ocaml
Standards-Version: 4.4.1
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/thierry-martinez/pyml
Vcs-Git: https://salsa.debian.org/ocaml-team/pyml.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/pyml

Package: libpyml-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib, python3-dev
Description: OCaml bindings for Python (development)
 py.ml provides OCaml bindings for Python. This library subsumes the
 pycaml library. Bindings are split in three modules:
  * Py provides the initialization functions and some high-level
    bindings, with error handling and naming conventions closer to
    OCaml usages;
  * Pycaml provides a signature close to the old Pycaml module, so as
    to ease migration;
  * Pywrappers provides low-level bindings, which follow closely the
    conventions of the C bindings for Python. Submodules
    Pywrappers.Python2 and Pywrappers.Python3 contain version-specific
    bindings.
 .
 This package contains the development files.

Package: libpyml-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for Python (runtime)
 py.ml provides OCaml bindings for Python. This library subsumes the
 pycaml library. Bindings are split in three modules:
  * Py provides the initialization functions and some high-level
    bindings, with error handling and naming conventions closer to
    OCaml usages;
  * Pycaml provides a signature close to the old Pycaml module, so as
    to ease migration;
  * Pywrappers provides low-level bindings, which follow closely the
    conventions of the C bindings for Python. Submodules
    Pywrappers.Python2 and Pywrappers.Python3 contain version-specific
    bindings.
 .
 This package contains the runtime files.
