=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) all HAVE_OCAMLOPT=$(OCAML_HAVE_OCAMLOPT)

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(DESTDIR)$(OCAML_DLL_DIR) $(DESTDIR)/usr/bin
	$(MAKE) install "PREFIX=$(DESTDIR)/usr" HAVE_OCAMLOPT=$(OCAML_HAVE_OCAMLOPT)
	rm -f $(DESTDIR)$(OCAML_DLL_DIR)/*.so.owner

override_dh_missing:
	dh_missing --fail-missing
