## pyml 20200518

=== Makefile ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	CMOX := cmo
 	CMAX := cma
 	ALLOPT :=
-	TESTSOPT :=
+	TESTOPT :=
 	OCAMLPREFERREDLIBS := $(OCAMLBYTECODELIBS)
 else
 	OCAMLOPT := $(OCAMLOPTEXE)
@@ -99,7 +99,7 @@
 	CMOX := cmx
 	CMAX := cmxa
 	ALLOPT := all.native
-	TESTSOPT := tests.native
+	TESTOPT := test.native
 	OCAMLPREFERREDLIBS := $(OCAMLNATIVELIBS)
 endif
 
@@ -119,16 +119,18 @@
 OCAMLLIBFLAGSNATIVE := $(OCAMLLIBFLAGS)
 OCAMLLIBFLAGSBYTECODE := -custom $(OCAMLLIBFLAGS)
 
-ARCH := $(shell uname)
-
-ifeq ($(ARCH),Linux)
+UNAME_ARCH := $(shell uname)
+
+ifeq ($(UNAME_ARCH),Linux)
 	PYML_ARCH := pyml_arch_linux.ml
-else ifeq ($(ARCH),Darwin)
+else ifeq ($(UNAME_ARCH),Darwin)
 	PYML_ARCH := pyml_arch_darwin.ml
-else ifeq ($(findstring CYGWIN,$(ARCH)),CYGWIN)
+else ifeq ($(findstring CYGWIN,$(UNAME_ARCH)),CYGWIN)
 	PYML_ARCH := pyml_arch_cygwin.ml
-else
-	$(error Unsupported OS $(ARCH)
+else ifeq ($(UNAME_ARCH),FreeBSD)
+	PYML_ARCH := pyml_arch_freebsd.ml
+else
+	$(error Unsupported OS $(UNAME_ARCH))
 endif
 
 INSTALL_FILES := \
@@ -136,6 +138,7 @@
 	numpy.cmi \
 	pyml.cma pyml.cmxa pyml.cmxs pyml.a \
 	numpy.cma numpy.cmxa numpy.cmxs numpy.a \
+	$(MODULES:=.cmx) numpy.cmx \
 	libpyml_stubs.a dllpyml_stubs.so \
 	libnumpy_stubs.a dllnumpy_stubs.so \
 	META
@@ -144,7 +147,7 @@
 all : all.bytecode $(ALLOPT)
 	@echo The py.ml library is compiled.
 	@echo Run \`make doc\' to build the documentation.
-	@echo Run \`make tests\' to check the test suite.
+	@echo Run \`make test\' to check the test suite.
 ifneq ($(HAVE_OCAMLFIND),no)
 	@echo Run \`make install\' to install the library via ocamlfind.
 endif
@@ -187,16 +190,16 @@
 .PHONY : all.native
 all.native : pyml.cmxa pyml.cmxs numpy.cmxa numpy.cmxs
 
-.PHONY : tests
-tests : tests.bytecode $(TESTSOPT)
-
-.PHONY : tests.bytecode
-tests.bytecode : pyml_tests.bytecode numpy_tests.bytecode
+.PHONY : test
+test : test.bytecode $(TESTOPT)
+
+.PHONY : test.bytecode
+test.bytecode : pyml_tests.bytecode numpy_tests.bytecode
 	./pyml_tests.bytecode
 	./numpy_tests.bytecode
 
-.PHONY : tests.native
-tests.native : pyml_tests.native numpy_tests.native
+.PHONY : test.native
+test.native : pyml_tests.native numpy_tests.native
 	./pyml_tests.native
 	./numpy_tests.native
 
@@ -305,12 +308,12 @@
 	$(OCAMLOPT) $(OCAMLCFLAGS) -c $< -o $@
 
 %.o : %.c
-	$(OCAMLC) -c $< -o $@
+	$(OCAMLC) -package stdcompat -c $< -o $@
 
 pyml_stubs.o : pyml_wrappers.inc
 
 pyml.cma : $(MODULES:=.cmo) libpyml_stubs.a
-	$(OCAMLC) $(OCAMLLIBFLAGSBYTECODE) -a $(MODULES:=.cmo) -o $@
+	$(OCAMLC) $(OCAMLLIBFLAGSBYTECODE) -a -dllib -lpyml_stubs $(MODULES:=.cmo) -o $@
 
 pyml.cmxa : $(MODULES:=.cmx) libpyml_stubs.a
 	$(OCAMLOPT) $(OCAMLLIBFLAGSNATIVE) -a $(MODULES:=.cmx) -o $@
@@ -322,7 +325,7 @@
 	$(OCAMLMKLIB) -o $(basename $<) $<
 
 numpy.cma : numpy.cmo libnumpy_stubs.a
-	$(OCAMLC) -custom $(OCAMLLIBNUMPYFLAGS) -a numpy.cmo -o $@
+	$(OCAMLC) $(OCAMLLIBNUMPYFLAGS) -a -dllib -lnumpy_stubs numpy.cmo -o $@
 
 numpy.cmxa : numpy.cmx libnumpy_stubs.a
 	$(OCAMLOPT) $(OCAMLLIBNUMPYFLAGS) -a numpy.cmx -o $@
