=== debian/changelog ===
pyml (20200518-2) unstable; urgency=medium

  * Run tests only on native architectures

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Aug 2020 00:03:36 +0200

pyml (20200518-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Aug 2020 16:10:29 +0200
