=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: pyml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-findlib,
- libstdcompat-ocaml-dev,
+ libstdcompat-ocaml-dev (>= 13),
+ python3-dev,
  dh-ocaml
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/thierry-martinez/pyml
