=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,9 @@
 	$(MAKE) install "PREFIX=$(DESTDIR)/usr" HAVE_OCAMLOPT=$(OCAML_HAVE_OCAMLOPT)
 	rm -f $(DESTDIR)$(OCAML_DLL_DIR)/*.so.owner
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_auto_test:
+ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
+	dh_auto_test
+endif
+
+override_dh_dwz:
