=== debian/tests/control ===
Tests: hello
Depends: ocaml-nox, ocaml-findlib, libpyml-ocaml-dev, python3-dev
