=== debian/watch ===
version=3
https://github.com/thierry-martinez/pyml/releases .*/archive/(.*)\.tar\.gz
