=== debian/changelog ===
pyml (20211015-1ubuntu2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 13:54:08 +0100

pyml (20211015-1ubuntu1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 13:53:36 +0100

pyml (20211015-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:47 +0100

pyml (20211015-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Nov 2021 14:31:51 +0100
