=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-nox,
- ocaml-findlib,
+ ocaml-dune,
  libstdcompat-ocaml-dev (>= 13),
  python3-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/thierry-martinez/pyml
