=== debian/watch ===
version=4
https://github.com/thierry-martinez/pyml/releases .*/([0-9.]+)\.tar\.gz
