=== debian/changelog ===
pyml (20220325-1) unstable; urgency=medium

  * Team upload
  * New upstream release. This release fixes a bug with character conversion
    (closes: #1009430).
  * Remove patch 0002-Fix-79-segfault-when-debug_build-true-is-passed-to-i
    which has been applied upstream.
  * Standards-Version 4.6.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 01 Jun 2022 21:54:04 +0200

pyml (20211015-2) unstable; urgency=medium

  * Fix segfault when ~debug_build:true is passed to initialize

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Mar 2022 17:20:22 +0100
