## pyml 20220905

=== Makefile ===
--- 
+++ 
@@ -36,12 +36,6 @@
 	OCAMLDEP := $(OCAMLFIND) ocamldep
 	OCAMLDOC := $(OCAMLFIND) ocamldoc
 	STDCOMPAT := $(shell $(OCAMLFIND) query stdcompat)
-        OCAMLCFLAGS := -package stdcompat
-        OCAMLLDFLAGS := -linkpkg
-	OCAMLBYTECODELIBS := -package unix,stdcompat
-	OCAMLBYTECODELIBSNUMPY := -package unix,stdcompat,bigarray
-	OCAMLNATIVELIBS := -package unix,stdcompat
-	OCAMLNATIVELIBSNUMPY := -package unix,stdcompat,bigarray
 else
 	OCAMLC := $(shell \
 		if ocamlc.opt -version >/dev/null 2>&1; then \
@@ -67,12 +61,41 @@
 	OCAMLDEP := ocamldep
 	OCAMLDOC := ocamldoc
 	STDCOMPAT := .
-        OCAMLCFLAGS := -I $(STDCOMPAT)
-        OCAMLLDFLAGS := -I $(STDCOMPAT)
-	OCAMLBYTECODELIBS := unix.cma stdcompat.cma
-	OCAMLBYTECODELIBSNUMPY := unix.cma stdcompat.cma bigarray.cma
-	OCAMLNATIVELIBS := unix.cmxa stdcompat.cmxa
-	OCAMLNATIVELIBSNUMPY := unix.cmxa stdcompat.cmxa bigarray.cmxa
+endif
+
+OCAMLVERSION := $(shell $(OCAMLC) -version)
+OCAMLVERSION_LIST := $(subst ., ,$(OCAMLVERSION))
+OCAMLVERSION_MAJOR := $(word 1,$(OCAMLVERSION_LIST))
+
+LIBRARIES := unix stdcompat
+
+ifeq ($(OCAMLVERSION_MAJOR),5)
+	LIBRARIES_NUMPY = $(LIBRARIES)
+	OCAMLCFLAGS = -I +unix
+else
+	LIBRARIES_NUMPY = $(LIBRARIES) bigarray
+endif
+
+null  :=
+space := $(null) #
+comma := ,
+
+ifneq ($(HAVE_OCAMLFIND),no)
+        OCAMLCFLAGS += -package stdcompat
+        OCAMLLDFLAGS += -linkpkg
+	PACKAGES := $(subst $(space),$(comma),$(LIBRARIES))
+	PACKAGES_NUMPY := $(subst $(space),$(comma),$(LIBRARIES_NUMPY))
+	OCAMLBYTECODELIBS := -package $(PACKAGES)
+	OCAMLBYTECODELIBSNUMPY := -package $(PACKAGES_NUMPY)
+	OCAMLNATIVELIBS := -package $(PACKAGES)
+	OCAMLNATIVELIBSNUMPY := -package $(PACKAGES_NUMPY)
+else
+        OCAMLCFLAGS += -I $(STDCOMPAT)
+        OCAMLLDFLAGS += -I $(STDCOMPAT)
+	OCAMLBYTECODELIBS := $(LIBRARIES:=.cma)
+	OCAMLBYTECODELIBSNUMPY := $(LIBRARIES_NUMPY:=.cma)
+	OCAMLNATIVELIBS := $(LIBRARIES:=.cmxa)
+	OCAMLNATIVELIBSNUMPY := $(LIBRARIES_NUMPY:=.cmxa)
 endif
 
 ifeq ($(wildcard $(STDCOMPAT)/stdcompat.cma),)
@@ -262,7 +285,7 @@
 pyml_wrappers.inc : pywrappers.ml
 
 pywrappers.mli : pywrappers.ml pytypes.cmi pyml_arch.cmi
-	$(OCAMLC) -i $< >$@
+	$(OCAMLC) $(OCAMLCFLAGS) -i $< >$@
 
 pyml_tests.native : py.cmi pyml.cmxa pyml_tests_common.cmx pyml_tests.cmx
 	$(OCAMLOPT) $(OCAMLLDFLAGS) $(OCAMLNATIVELIBS) pyml.cmxa \
