=== debian/changelog ===
pyml (20220905-1) unstable; urgency=medium

  * New upstream release
  * Drop 0001-Use-dune-2.7.patch
  * Disable two failing testst (Closes: #1028869)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Jan 2023 12:07:22 +0100
