=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libstdcompat-ocaml-dev (>= 13),
  python3-dev,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/thierry-martinez/pyml
