=== debian/changelog ===
pyml (20231101-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 03:43:49 +0100

pyml (20220905-3) unstable; urgency=medium

  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 07:02:14 +0200

pyml (20220905-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 12:01:46 +0200
