=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  ocaml-dune,
  libstdcompat-ocaml-dev (>= 13),
  python3-dev,
- dh-ocaml
-Standards-Version: 4.6.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/thierry-martinez/pyml
