=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/thierry-martinez/pyml/releases?per_page=50 \
https://github.com/thierry-martinez/pyml/releases/download/[^/]+/pyml\.@ANY_VERSION@\.tar\.gz
