## pyml 20250807

=== debian/changelog ===
pyml (20250807-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 09:59:44 +0100

pyml (20250807-1) unstable; urgency=medium

  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Dec 2025 11:31:58 +0100
