=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  libstdcompat-ocaml-dev (>= 13),
  python3-dev,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: ocaml
 Homepage: https://github.com/thierry-martinez/pyml
 Vcs-Git: https://salsa.debian.org/ocaml-team/pyml.git
